﻿// Copyright (c) 2020 Tudor Stanciu

using System.Threading.Tasks;
using Tuitio.PublishedLanguage.Dto;

namespace Tuitio.Wrapper.Services
{
    public interface ITuitioService
    {
        Task<Envelope<AccountLoginResult>> Login(string userName, string password);
        Task<Envelope<AccountLogoutResult>> Logout(string token);
        Task<Envelope<AuthorizationResult>> Authorize(string token);
    }
}